diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-phy-state-helper.h ns-3.44/src/wifi/model/wifi-phy-state-helper.h
--- ns-3.43/src/wifi/model/wifi-phy-state-helper.h	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-phy-state-helper.h	2025-03-09 16:55:49.803372600 -0700
@@ -44,7 +44,11 @@
  * arg3: TXVECTOR of PSDU
  * arg4: vector of per-MPDU status of reception.
  */
-typedef Callback<void, Ptr<const WifiPsdu>, RxSignalInfo, WifiTxVector, std::vector<bool>>
+typedef Callback<void,
+                 Ptr<const WifiPsdu>,
+                 RxSignalInfo,
+                 const WifiTxVector&,
+                 const std::vector<bool>&>
     RxOkCallback;
 /**
  * Callback if PSDU unsuccessfuly received
@@ -54,7 +58,7 @@
 typedef Callback<void, Ptr<const WifiPsdu>> RxErrorCallback;
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * This objects implements the PHY state machine of the Wifi device.
  */
@@ -62,8 +66,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -72,107 +76,107 @@
     /**
      * Set a callback for a successful reception.
      *
-     * \param callback the RxOkCallback to set
+     * @param callback the RxOkCallback to set
      */
     void SetReceiveOkCallback(RxOkCallback callback);
     /**
      * Set a callback for a failed reception.
      *
-     * \param callback the RxErrorCallback to set
+     * @param callback the RxErrorCallback to set
      */
     void SetReceiveErrorCallback(RxErrorCallback callback);
     /**
      * Register WifiPhyListener to this WifiPhyStateHelper.
      *
-     * \param listener the WifiPhyListener to register
+     * @param listener the WifiPhyListener to register
      */
     void RegisterListener(const std::shared_ptr<WifiPhyListener>& listener);
     /**
      * Remove WifiPhyListener from this WifiPhyStateHelper.
      *
-     * \param listener the WifiPhyListener to unregister
+     * @param listener the WifiPhyListener to unregister
      */
     void UnregisterListener(const std::shared_ptr<WifiPhyListener>& listener);
     /**
      * Return the current state of WifiPhy.
      *
-     * \return the current state of WifiPhy
+     * @return the current state of WifiPhy
      */
     WifiPhyState GetState() const;
     /**
      * Check whether the current state is CCA busy.
      *
-     * \return true if the current state is CCA busy, false otherwise
+     * @return true if the current state is CCA busy, false otherwise
      */
     bool IsStateCcaBusy() const;
     /**
      * Check whether the current state is IDLE.
      *
-     * \return true if the current state is IDLE, false otherwise
+     * @return true if the current state is IDLE, false otherwise
      */
     bool IsStateIdle() const;
     /**
      * Check whether the current state is RX.
      *
-     * \return true if the current state is RX, false otherwise
+     * @return true if the current state is RX, false otherwise
      */
     bool IsStateRx() const;
     /**
      * Check whether the current state is TX.
      *
-     * \return true if the current state is TX, false otherwise
+     * @return true if the current state is TX, false otherwise
      */
     bool IsStateTx() const;
     /**
      * Check whether the current state is SWITCHING.
      *
-     * \return true if the current state is SWITCHING, false otherwise
+     * @return true if the current state is SWITCHING, false otherwise
      */
     bool IsStateSwitching() const;
     /**
      * Check whether the current state is SLEEP.
      *
-     * \return true if the current state is SLEEP, false otherwise
+     * @return true if the current state is SLEEP, false otherwise
      */
     bool IsStateSleep() const;
     /**
      * Check whether the current state is OFF.
      *
-     * \return true if the current state is OFF, false otherwise
+     * @return true if the current state is OFF, false otherwise
      */
     bool IsStateOff() const;
     /**
      * Return the time before the state is back to IDLE.
      *
-     * \return the delay before the state is back to IDLE
+     * @return the delay before the state is back to IDLE
      */
     Time GetDelayUntilIdle() const;
     /**
      * Return the time the last RX start.
      *
-     * \return the time the last RX start.
+     * @return the time the last RX start.
      */
     Time GetLastRxStartTime() const;
     /**
      * Return the time the last RX end.
      *
-     * \return the time the last RX end.
+     * @return the time the last RX end.
      */
     Time GetLastRxEndTime() const;
 
     /**
-     * \param states a set of PHY states
-     * \return the last time the PHY has been in any of the given states
+     * @param states a set of PHY states
+     * @return the last time the PHY has been in any of the given states
      */
     Time GetLastTime(std::initializer_list<WifiPhyState> states) const;
 
     /**
      * Switch state to TX for the given duration.
      *
-     * \param txDuration the duration of the PPDU to transmit
-     * \param psdus the PSDUs in the transmitted PPDU (only one unless it is a MU PPDU)
-     * \param txPower the nominal TX power
-     * \param txVector the TX vector for the transmission
+     * @param txDuration the duration of the PPDU to transmit
+     * @param psdus the PSDUs in the transmitted PPDU (only one unless it is a MU PPDU)
+     * @param txPower the nominal TX power
+     * @param txVector the TX vector for the transmission
      */
     void SwitchToTx(Time txDuration,
                     const WifiConstPsduMap& psdus,
@@ -181,21 +185,21 @@
     /**
      * Switch state to RX for the given duration.
      *
-     * \param rxDuration the duration of the RX
+     * @param rxDuration the duration of the RX
      */
     void SwitchToRx(Time rxDuration);
     /**
      * Switch state to channel switching for the given duration.
      *
-     * \param switchingDuration the duration of required to switch the channel
+     * @param switchingDuration the duration of required to switch the channel
      */
     void SwitchToChannelSwitching(Time switchingDuration);
     /**
      * Notify the reception of an MPDU included in an A-MPDU.
      *
-     * \param psdu the successfully received PSDU
-     * \param rxSignalInfo the info on the received signal (\see RxSignalInfo)
-     * \param txVector TXVECTOR of the PSDU
+     * @param psdu the successfully received PSDU
+     * @param rxSignalInfo the info on the received signal (\see RxSignalInfo)
+     * @param txVector TXVECTOR of the PSDU
      */
     void NotifyRxMpdu(Ptr<const WifiPsdu> psdu,
                       RxSignalInfo rxSignalInfo,
@@ -203,11 +207,11 @@
     /**
      * Handle the successful reception of a PSDU.
      *
-     * \param psdu the successfully received PSDU
-     * \param rxSignalInfo the info on the received signal (\see RxSignalInfo)
-     * \param txVector TXVECTOR of the PSDU
-     * \param staId the station ID of the PSDU (only used for MU)
-     * \param statusPerMpdu reception status per MPDU
+     * @param psdu the successfully received PSDU
+     * @param rxSignalInfo the info on the received signal (\see RxSignalInfo)
+     * @param txVector TXVECTOR of the PSDU
+     * @param staId the station ID of the PSDU (only used for MU)
+     * @param statusPerMpdu reception status per MPDU
      */
     void NotifyRxPsduSucceeded(Ptr<const WifiPsdu> psdu,
                                RxSignalInfo rxSignalInfo,
@@ -217,19 +221,19 @@
     /**
      * Handle the unsuccessful reception of a PSDU.
      *
-     * \param psdu the PSDU that we failed to received
-     * \param snr the SNR of the received PSDU in linear scale
+     * @param psdu the PSDU that we failed to received
+     * @param snr the SNR of the received PSDU in linear scale
      */
     void NotifyRxPsduFailed(Ptr<const WifiPsdu> psdu, double snr);
 
     /**
      * Handle the outcome of a reception of a PPDU.
      *
-     * \param ppdu the received PPDU
-     * \param rxSignalInfo the info on the received signal (\see RxSignalInfo)
-     * \param txVector TXVECTOR of the PSDU
-     * \param staId the station ID of the PSDU (only used for MU)
-     * \param statusPerMpdu reception status per MPDU
+     * @param ppdu the received PPDU
+     * @param rxSignalInfo the info on the received signal (\see RxSignalInfo)
+     * @param txVector TXVECTOR of the PSDU
+     * @param staId the station ID of the PSDU (only used for MU)
+     * @param statusPerMpdu reception status per MPDU
      */
     void NotifyRxPpduOutcome(Ptr<const WifiPpdu> ppdu,
                              RxSignalInfo rxSignalInfo,
@@ -246,15 +250,15 @@
     void SwitchFromRxEndError();
     /**
      * Abort current reception following a CCA reset request.
-     * \param operatingWidth the channel width the PHY is operating on
+     * @param operatingWidth the channel width the PHY is operating on
      */
     void SwitchFromRxAbort(MHz_u operatingWidth);
     /**
      * Switch to CCA busy.
      *
-     * \param duration the duration of the CCA state
-     * \param channelType the channel type for which the CCA busy state is reported.
-     * \param per20MhzDurations vector that indicates for how long each 20 MHz subchannel
+     * @param duration the duration of the CCA state
+     * @param channelType the channel type for which the CCA busy state is reported.
+     * @param per20MhzDurations vector that indicates for how long each 20 MHz subchannel
      *        (corresponding to the index of the element in the vector) is busy and where a zero
      * duration indicates that the subchannel is idle. The vector is non-empty if the PHY supports
      * 802.11ax or later and if the operational channel width is larger than 20 MHz.
@@ -282,20 +286,20 @@
     /**
      * TracedCallback signature for state changes.
      *
-     * \param [in] start Time when the \pname{state} started.
-     * \param [in] duration Amount of time we've been in (or will be in)
+     * @param [in] start Time when the \pname{state} started.
+     * @param [in] duration Amount of time we've been in (or will be in)
      *             the \pname{state}.
-     * \param [in] state The state.
+     * @param [in] state The state.
      */
     typedef void (*StateTracedCallback)(Time start, Time duration, WifiPhyState state);
 
     /**
      * TracedCallback signature for receive end OK event.
      *
-     * \param [in] packet The received packet.
-     * \param [in] snr    The SNR of the received packet in linear scale.
-     * \param [in] mode   The transmission mode of the packet.
-     * \param [in] preamble The preamble of the packet.
+     * @param [in] packet The received packet.
+     * @param [in] snr    The SNR of the received packet in linear scale.
+     * @param [in] mode   The transmission mode of the packet.
+     * @param [in] preamble The preamble of the packet.
      */
     typedef void (*RxOkTracedCallback)(Ptr<const Packet> packet,
                                        double snr,
@@ -305,15 +309,15 @@
     /**
      * TracedCallback signature for the outcome of a received packet.
      *
-     * \param [in] psdu The received PSDU (Physical Layer Service Data Unit).
-     * \param [in] signalInfo Information about the received signal, including its power and other
+     * @param [in] ppdu The received PPDU (Physical Layer Protocol Data Unit).
+     * @param [in] signalInfo Information about the received signal, including its power and other
      * characteristics.
-     * \param [in] txVector The transmission vector used for the packet, detailing
+     * @param [in] txVector The transmission vector used for the packet, detailing
      * the transmission parameters.
-     * \param [in] outcomes A vector of boolean values indicating the
+     * @param [in] outcomes A vector of boolean values indicating the
      * success or failure of receiving individual MPDUs within the PSDU.
      */
-    typedef void (*RxOutcomeTracedCallback)(Ptr<const WifiPsdu> psdu,
+    typedef void (*RxOutcomeTracedCallback)(Ptr<const WifiPpdu> ppdu,
                                             RxSignalInfo signalInfo,
                                             const WifiTxVector& txVector,
                                             const std::vector<bool>& outcomes);
@@ -321,18 +325,18 @@
     /**
      * TracedCallback signature for receive end error event.
      *
-     * \param [in] packet       The received packet.
-     * \param [in] snr          The SNR of the received packet in linear scale.
+     * @param [in] packet       The received packet.
+     * @param [in] snr          The SNR of the received packet in linear scale.
      */
     typedef void (*RxEndErrorTracedCallback)(Ptr<const Packet> packet, double snr);
 
     /**
      * TracedCallback signature for transmit event.
      *
-     * \param [in] packet The received packet.
-     * \param [in] mode   The transmission mode of the packet.
-     * \param [in] preamble The preamble of the packet.
-     * \param [in] power  The transmit power level.
+     * @param [in] packet The received packet.
+     * @param [in] mode   The transmission mode of the packet.
+     * @param [in] preamble The preamble of the packet.
+     * @param [in] power  The transmit power level.
      */
     typedef void (*TxTracedCallback)(Ptr<const Packet> packet,
                                      WifiMode mode,
@@ -342,10 +346,10 @@
     /**
      * Notify all WifiPhyListener objects of the given PHY event.
      *
-     * \tparam FUNC \deduced Member function type
-     * \tparam Ts \deduced Function argument types
-     * \param f the member function to invoke
-     * \param args arguments to pass to the member function
+     * @tparam FUNC \deduced Member function type
+     * @tparam Ts \deduced Function argument types
+     * @param f the member function to invoke
+     * @param args arguments to pass to the member function
      */
     template <typename FUNC, typename... Ts>
     void NotifyListeners(FUNC f, Ts&&... args);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-ppdu.cc ns-3.44/src/wifi/model/wifi-ppdu.cc
--- ns-3.43/src/wifi/model/wifi-ppdu.cc	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-ppdu.cc	2025-03-09 16:55:49.803372600 -0700
@@ -21,9 +21,9 @@
  * If the specified channel width is spread over multiple frequency segments (e.g. 160 MHz if
  * operating channel is 80+80MHz), multiple center frequencies are returned.
  *
- * \param channel the operating channel of the PHY
- * \param channelWidth the channel width
- * \return the center frequency of each segment covered by the given width
+ * @param channel the operating channel of the PHY
+ * @param channelWidth the channel width
+ * @return the center frequency of each segment covered by the given width
  */
 std::vector<ns3::MHz_u>
 GetChannelCenterFrequenciesPerSegment(const ns3::WifiPhyOperatingChannel& channel,
@@ -100,15 +100,6 @@
     m_psdus = psdus;
 }
 
-WifiPpdu::~WifiPpdu()
-{
-    for (auto& psdu : m_psdus)
-    {
-        psdu.second = nullptr;
-    }
-    m_psdus.clear();
-}
-
 const WifiTxVector&
 WifiPpdu::GetTxVector() const
 {
@@ -273,7 +264,7 @@
 WifiPpdu::PrintPayload() const
 {
     std::ostringstream ss;
-    ss << "PSDU=" << GetPsdu() << " ";
+    ss << "PSDU=" << *GetPsdu() << " ";
     return ss.str();
 }
 
@@ -292,14 +283,4 @@
     return os;
 }
 
-std::ostream&
-operator<<(std::ostream& os, const WifiConstPsduMap& psdus)
-{
-    for (const auto& psdu : psdus)
-    {
-        os << "PSDU for STA_ID=" << psdu.first << " (" << *psdu.second << ") ";
-    }
-    return os;
-}
-
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-ppdu.h ns-3.44/src/wifi/model/wifi-ppdu.h
--- ns-3.43/src/wifi/model/wifi-ppdu.h	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-ppdu.h	2025-03-09 16:55:49.803372600 -0700
@@ -9,6 +9,7 @@
 #ifndef WIFI_PPDU_H
 #define WIFI_PPDU_H
 
+#include "wifi-psdu.h"
 #include "wifi-tx-vector.h"
 
 #include "ns3/nstime.h"
@@ -19,8 +20,8 @@
 #include <vector>
 
 /**
- * \file
- * \ingroup wifi
+ * @file
+ * @ingroup wifi
  * Declaration of ns3::WifiPpdu class
  * and ns3::WifiConstPsduMap.
  */
@@ -29,7 +30,6 @@
 {
 
 class Packet;
-class WifiPsdu;
 class WifiPhyOperatingChannel;
 
 /**
@@ -38,7 +38,7 @@
 typedef std::unordered_map<uint16_t /* STA-ID */, Ptr<const WifiPsdu> /* PSDU */> WifiConstPsduMap;
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * WifiPpdu stores a preamble, a modulation class, PHY headers and a PSDU.
  * This class should be subclassed for each amendment.
@@ -49,10 +49,10 @@
     /**
      * Create a PPDU storing a PSDU.
      *
-     * \param psdu the PHY payload (PSDU)
-     * \param txVector the TXVECTOR that was used for this PPDU
-     * \param channel the operating channel of the PHY used to transmit this PPDU
-     * \param uid the unique ID of this PPDU
+     * @param psdu the PHY payload (PSDU)
+     * @param txVector the TXVECTOR that was used for this PPDU
+     * @param channel the operating channel of the PHY used to transmit this PPDU
+     * @param uid the unique ID of this PPDU
      */
     WifiPpdu(Ptr<const WifiPsdu> psdu,
              const WifiTxVector& txVector,
@@ -61,10 +61,10 @@
     /**
      * Create a PPDU storing a map of PSDUs.
      *
-     * \param psdus the PHY payloads (PSDUs)
-     * \param txVector the TXVECTOR that was used for this PPDU
-     * \param channel the operating channel of the PHY used to transmit this PPDU
-     * \param uid the unique ID of this PPDU
+     * @param psdus the PHY payloads (PSDUs)
+     * @param txVector the TXVECTOR that was used for this PPDU
+     * @param channel the operating channel of the PHY used to transmit this PPDU
+     * @param uid the unique ID of this PPDU
      */
     WifiPpdu(const WifiConstPsduMap& psdus,
              const WifiTxVector& txVector,
@@ -73,12 +73,12 @@
     /**
      * Destructor for WifiPpdu.
      */
-    virtual ~WifiPpdu();
+    virtual ~WifiPpdu() = default;
 
     /**
      * Get the TXVECTOR used to send the PPDU.
      *
-     * \return the TXVECTOR of the PPDU.
+     * @return the TXVECTOR of the PPDU.
      */
     const WifiTxVector& GetTxVector() const;
 
@@ -90,19 +90,19 @@
     /**
      * Update the TXVECTOR based on some information known at the receiver.
      *
-     * \param updatedTxVector the updated TXVECTOR.
+     * @param updatedTxVector the updated TXVECTOR.
      */
     void UpdateTxVector(const WifiTxVector& updatedTxVector) const;
 
     /**
      * Get the payload of the PPDU.
      *
-     * \return the PSDU
+     * @return the PSDU
      */
     Ptr<const WifiPsdu> GetPsdu() const;
 
     /**
-     * \return c\ true if the PPDU's transmission was aborted due to transmitter switch off
+     * @return c\ true if the PPDU's transmission was aborted due to transmitter switch off
      */
     bool IsTruncatedTx() const;
 
@@ -114,7 +114,7 @@
     /**
      * Get the total transmission duration of the PPDU.
      *
-     * \return the transmission duration of the PPDU
+     * @return the transmission duration of the PPDU
      */
     virtual Time GetTxDuration() const;
 
@@ -122,70 +122,70 @@
      * Get the channel width over which the PPDU will effectively be
      * transmitted.
      *
-     * \return the effective channel width used for the tranmsission
+     * @return the effective channel width used for the tranmsission
      */
     virtual MHz_u GetTxChannelWidth() const;
 
     /**
-     * \return the center frequency per segment used for the transmission of this PPDU
+     * @return the center frequency per segment used for the transmission of this PPDU
      */
     std::vector<MHz_u> GetTxCenterFreqs() const;
 
     /**
      * Check whether the given PPDU overlaps a given channel.
      *
-     * \param minFreq the minimum frequency of the channel
-     * \param maxFreq the maximum frequency of the channel
-     * \return true if this PPDU overlaps the channel, false otherwise
+     * @param minFreq the minimum frequency of the channel
+     * @param maxFreq the maximum frequency of the channel
+     * @return true if this PPDU overlaps the channel, false otherwise
      */
     bool DoesOverlapChannel(MHz_u minFreq, MHz_u maxFreq) const;
 
     /**
      * Get the modulation used for the PPDU.
-     * \return the modulation used for the PPDU
+     * @return the modulation used for the PPDU
      */
     WifiModulationClass GetModulation() const;
 
     /**
      * Get the UID of the PPDU.
-     * \return the UID of the PPDU
+     * @return the UID of the PPDU
      */
     uint64_t GetUid() const;
 
     /**
      * Get the preamble of the PPDU.
-     * \return the preamble of the PPDU
+     * @return the preamble of the PPDU
      */
     WifiPreamble GetPreamble() const;
 
     /**
-     * \brief Print the PPDU contents.
-     * \param os output stream in which the data should be printed.
+     * @brief Print the PPDU contents.
+     * @param os output stream in which the data should be printed.
      */
     void Print(std::ostream& os) const;
     /**
-     * \brief Copy this instance.
-     * \return a Ptr to a copy of this instance.
+     * @brief Copy this instance.
+     * @return a Ptr to a copy of this instance.
      */
     virtual Ptr<WifiPpdu> Copy() const;
 
     /**
      * Return the PPDU type (\see WifiPpduType)
-     * \return the PPDU type
+     * @return the PPDU type
      */
     virtual WifiPpduType GetType() const;
 
     /**
      * Get the ID of the STA that transmitted the PPDU for UL MU,
      * SU_STA_ID otherwise.
-     * \return the ID of the STA that transmitted the PPDU for UL MU, SU_STA_ID otherwise
+     * @return the ID of the STA that transmitted the PPDU for UL MU, SU_STA_ID otherwise
      */
     virtual uint16_t GetStaId() const;
 
   protected:
     /**
-     * \brief Print the payload of the PPDU.
-     * \return information on the payload part of the PPDU
+     * @brief Print the payload of the PPDU.
+     * @return information on the payload part of the PPDU
      */
     virtual std::string PrintPayload() const;
 
@@ -204,7 +204,7 @@
     /**
      * Get the TXVECTOR used to send the PPDU.
      *
-     * \return the TXVECTOR of the PPDU.
+     * @return the TXVECTOR of the PPDU.
      */
     virtual WifiTxVector DoGetTxVector() const;
 
@@ -222,23 +222,14 @@
 };                          // class WifiPpdu
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param ppdu the const pointer to the PPDU
- * \returns a reference to the stream
+ * @param os the stream
+ * @param ppdu the const pointer to the PPDU
+ * @returns a reference to the stream
  */
 std::ostream& operator<<(std::ostream& os, const Ptr<const WifiPpdu>& ppdu);
 
-/**
- * \brief Stream insertion operator.
- *
- * \param os the stream
- * \param psdus the PSDUs
- * \returns a reference to the stream
- */
-std::ostream& operator<<(std::ostream& os, const WifiConstPsduMap& psdus);
-
 } // namespace ns3
 
 #endif /* WIFI_PPDU_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-protection.h ns-3.44/src/wifi/model/wifi-protection.h
--- ns-3.43/src/wifi/model/wifi-protection.h	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-protection.h	2025-03-09 16:55:49.803372600 -0700
@@ -21,7 +21,7 @@
 {
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * WifiProtection is an abstract base struct. Each derived struct defines a protection
  * method and stores the information needed to perform protection according to
@@ -30,8 +30,8 @@
 struct WifiProtection
 {
     /**
-     * \enum Method
-     * \brief Available protection methods
+     * @enum Method
+     * @brief Available protection methods
      */
     enum Method
     {
@@ -43,20 +43,20 @@
 
     /**
      * Constructor.
-     * \param m the protection method for this object
+     * @param m the protection method for this object
      */
     WifiProtection(Method m);
     virtual ~WifiProtection();
 
     /**
      * Clone this object.
-     * \return a pointer to the cloned object
+     * @return a pointer to the cloned object
      */
     virtual std::unique_ptr<WifiProtection> Copy() const = 0;
 
     /**
-     * \brief Print the object contents.
-     * \param os output stream in which the data should be printed.
+     * @brief Print the object contents.
+     * @param os output stream in which the data should be printed.
      */
     virtual void Print(std::ostream& os) const = 0;
 
@@ -65,7 +65,7 @@
 };
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * WifiNoProtection specifies that no protection method is used.
  */
@@ -78,7 +78,7 @@
 };
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * WifiRtsCtsProtection specifies that RTS/CTS protection method is used.
  */
@@ -94,7 +94,7 @@
 };
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * WifiCtsToSelfProtection specifies that CTS-to-self protection method is used.
  */
@@ -109,7 +109,7 @@
 };
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * WifiMuRtsCtsProtection specifies that MU-RTS/CTS protection method is used.
  */
@@ -126,11 +126,11 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the output stream
- * \param protection the protection method
- * \returns a reference to the stream
+ * @param os the output stream
+ * @param protection the protection method
+ * @returns a reference to the stream
  */
 std::ostream& operator<<(std::ostream& os, const WifiProtection* protection);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-protection-manager.cc ns-3.44/src/wifi/model/wifi-protection-manager.cc
--- ns-3.43/src/wifi/model/wifi-protection-manager.cc	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-protection-manager.cc	2025-03-09 16:55:49.803372600 -0700
@@ -84,11 +84,12 @@
         std::min(txWidth, GetWifiRemoteStationManager()->GetChannelWidthSupported(receiver));
     auto phy = m_mac->GetWifiPhy(m_linkId);
     std::size_t primaryIdx = phy->GetOperatingChannel().GetPrimaryChannelIndex(ctsTxWidth);
-    std::size_t idx80MHz = 80 / ctsTxWidth;
-    if ((phy->GetChannelWidth() == 160) && (ctsTxWidth <= 40) && (primaryIdx >= idx80MHz))
+    std::size_t idx80MHz = MHz_u{80} / ctsTxWidth;
+    if ((phy->GetChannelWidth() == MHz_u{160}) && (ctsTxWidth <= MHz_u{40}) &&
+        (primaryIdx >= idx80MHz))
     {
         // the primary80 is in the higher part of the 160 MHz channel
-        primaryIdx -= 80 / ctsTxWidth;
+        primaryIdx -= idx80MHz;
     }
     switch (static_cast<uint16_t>(ctsTxWidth))
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-protection-manager.h ns-3.44/src/wifi/model/wifi-protection-manager.h
--- ns-3.43/src/wifi/model/wifi-protection-manager.h	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-protection-manager.h	2025-03-09 16:55:49.803372600 -0700
@@ -24,7 +24,7 @@
 class WifiRemoteStationManager;
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * WifiProtectionManager is an abstract base class. Each subclass defines a logic
  * to select the protection method for a given frame.
@@ -33,8 +33,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     WifiProtectionManager();
@@ -43,13 +43,13 @@
     /**
      * Set the MAC which is using this Protection Manager
      *
-     * \param mac a pointer to the MAC
+     * @param mac a pointer to the MAC
      */
     void SetWifiMac(Ptr<WifiMac> mac);
     /**
      * Set the ID of the link this Protection Manager is associated with.
      *
-     * \param linkId the ID of the link this Protection Manager is associated with
+     * @param linkId the ID of the link this Protection Manager is associated with
      */
     void SetLinkId(uint8_t linkId);
 
@@ -58,9 +58,9 @@
      * frame. Return a null pointer if the protection method is unchanged or the new
      * protection method otherwise.
      *
-     * \param mpdu the MPDU to be added to the current frame
-     * \param txParams the current TX parameters for the current frame
-     * \return a null pointer if the protection method is unchanged or the new
+     * @param mpdu the MPDU to be added to the current frame
+     * @param txParams the current TX parameters for the current frame
+     * @return a null pointer if the protection method is unchanged or the new
      *         protection method otherwise
      */
     virtual std::unique_ptr<WifiProtection> TryAddMpdu(Ptr<const WifiMpdu> mpdu,
@@ -71,9 +71,9 @@
      * current frame. Return a null pointer if the protection method is unchanged or
      * the new protection method otherwise.
      *
-     * \param msdu the MSDU to be aggregated to the current frame
-     * \param txParams the current TX parameters for the current frame
-     * \return a null pointer if the protection method is unchanged or the new
+     * @param msdu the MSDU to be aggregated to the current frame
+     * @param txParams the current TX parameters for the current frame
+     * @return a null pointer if the protection method is unchanged or the new
      *         protection method otherwise
      */
     virtual std::unique_ptr<WifiProtection> TryAggregateMsdu(Ptr<const WifiMpdu> msdu,
@@ -83,7 +83,7 @@
     void DoDispose() override;
 
     /**
-     * \return the remote station manager operating on our link
+     * @return the remote station manager operating on our link
      */
     Ptr<WifiRemoteStationManager> GetWifiRemoteStationManager() const;
 
@@ -94,9 +94,9 @@
      * between the TX width of the protected data frame and the maximum width supported
      * by the solicited station.
      *
-     * \param muRts the MU-RTS Trigger Frame
-     * \param txWidth the TX width of the protected data frame
-     * \param receiver the MAC address of the solicited station
+     * @param muRts the MU-RTS Trigger Frame
+     * @param txWidth the TX width of the protected data frame
+     * @param receiver the MAC address of the solicited station
      */
     void AddUserInfoToMuRts(CtrlTriggerHeader& muRts,
                             MHz_u txWidth,
